﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Il codice è stato generato da uno strumento.
//     Versione runtime:4.0.30319.42000
//
//     Le modifiche apportate a questo file possono provocare un comportamento non corretto e andranno perse se
//     il codice viene rigenerato.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Mlc.Rights {
    using System;
    
    
    /// <summary>
    ///   Classe di risorse fortemente tipizzata per la ricerca di stringhe localizzate e così via.
    /// </summary>
    // Questa classe è stata generata automaticamente dalla classe StronglyTypedResourceBuilder.
    // tramite uno strumento quale ResGen o Visual Studio.
    // Per aggiungere o rimuovere un membro, modificare il file con estensione ResX ed eseguire nuovamente ResGen
    // con l'opzione /str oppure ricompilare il progetto VS.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "15.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class CodeMasterResource {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal CodeMasterResource() {
        }
        
        /// <summary>
        ///   Restituisce l'istanza di ResourceManager nella cache utilizzata da questa classe.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Mlc.Rights.CodeMasterResource", typeof(CodeMasterResource).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Esegue l'override della proprietà CurrentUICulture del thread corrente per tutte le
        ///   ricerche di risorse eseguite utilizzando questa classe di risorse fortemente tipizzata.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a using System;
        ///
        ///namespace {NameSpace}
        ///{
        ///
        ///    /// &lt;summary&gt;
        ///    /// Classe Singleton pattern
        ///    /// &lt;/summary&gt;
        ///    public class {ClassName} : UserRightsBase
        ///    {
        ///        #region Fields
        ///        /// &lt;summary&gt;
        ///        /// The synchronize root
        ///        /// &lt;/summary&gt;
        ///        private static object syncRoot = new Object();
        ///        /// &lt;summary&gt;
        ///        /// The instance
        ///        /// &lt;/summary&gt;
        ///        private static volatile {ClassName} instance = null;
        ///        #endregion
        ///
        ///        #region Constr [stringa troncata]&quot;;.
        /// </summary>
        internal static string UserRights {
            get {
                return ResourceManager.GetString("UserRights", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a         [Category]
        ///        public {CategoryName}Category {CategoryName} { get; set; } = new {CategoryName}Category();.
        /// </summary>
        internal static string UserRights_Category {
            get {
                return ResourceManager.GetString("UserRights_Category", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a         public class {CategoryName}Category
        ///        {
        ///{Rights}        }.
        /// </summary>
        internal static string UserRights_ClassCategory {
            get {
                return ResourceManager.GetString("UserRights_ClassCategory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Cerca una stringa localizzata simile a         [Right]
        ///        public bool {Right} { get; set; } = false;.
        /// </summary>
        internal static string UserRights_Right {
            get {
                return ResourceManager.GetString("UserRights_Right", resourceCulture);
            }
        }
    }
}
